<?xml version="1.0" encoding="UTF-8"?>
<form xmlns="http://www.intellij.com/uidesigner/form/" version="1" bind-to-class="com.sslab.pokemon.PokeGen">
  <grid id="27dc6" binding="root" layout-manager="GridLayoutManager" row-count="2" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
    <margin top="10" left="10" bottom="10" right="10"/>
    <constraints>
      <xy x="20" y="20" width="700" height="661"/>
    </constraints>
    <properties/>
    <border type="none"/>
    <children>
      <grid id="681b6" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
        <margin top="0" left="0" bottom="0" right="0"/>
        <constraints>
          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
        </constraints>
        <properties/>
        <border type="none"/>
        <children>
          <grid id="3a893" layout-manager="GridLayoutManager" row-count="3" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties/>
            <border type="none"/>
            <children>
              <grid id="dc7f3" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                <margin top="0" left="0" bottom="0" right="0"/>
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                    <preferred-size width="482" height="42"/>
                  </grid>
                </constraints>
                <properties/>
                <border type="none"/>
                <children>
                  <component id="efef3" class="javax.swing.JLabel">
                    <constraints>
                      <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                        <preferred-size width="95" height="24"/>
                      </grid>
                    </constraints>
                    <properties>
                      <text value="Species"/>
                    </properties>
                  </component>
                  <component id="d0ee2" class="javax.swing.JComboBox" binding="speciesComboBox">
                    <constraints>
                      <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="2" anchor="8" fill="1" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                  </component>
                </children>
              </grid>
              <grid id="8e9c6" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                <margin top="0" left="0" bottom="0" right="0"/>
                <constraints>
                  <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                    <preferred-size width="482" height="40"/>
                  </grid>
                </constraints>
                <properties/>
                <border type="none"/>
                <children>
                  <component id="39417" class="javax.swing.JLabel">
                    <constraints>
                      <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                        <preferred-size width="106" height="24"/>
                      </grid>
                    </constraints>
                    <properties>
                      <text value="Nickname"/>
                    </properties>
                  </component>
                  <component id="4b790" class="javax.swing.JTextField" binding="nickNameField">
                    <constraints>
                      <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                        <preferred-size width="150" height="-1"/>
                      </grid>
                    </constraints>
                    <properties/>
                  </component>
                </children>
              </grid>
              <grid id="3feb1" layout-manager="GridLayoutManager" row-count="6" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                <margin top="0" left="0" bottom="0" right="0"/>
                <constraints>
                  <grid row="2" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                    <preferred-size width="482" height="269"/>
                  </grid>
                </constraints>
                <properties/>
                <border type="none"/>
                <children>
                  <grid id="273c9" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                    <border type="none"/>
                    <children>
                      <component id="8ac05" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                            <preferred-size width="88" height="16"/>
                          </grid>
                        </constraints>
                        <properties>
                          <text value="HP"/>
                        </properties>
                      </component>
                      <component id="efeb2" class="javax.swing.JTextField" binding="hpField">
                        <constraints>
                          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                            <preferred-size width="150" height="-1"/>
                          </grid>
                        </constraints>
                        <properties/>
                      </component>
                    </children>
                  </grid>
                  <grid id="34c7b" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                    <border type="none"/>
                    <children>
                      <component id="a6ade" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                            <preferred-size width="88" height="16"/>
                          </grid>
                        </constraints>
                        <properties>
                          <text value="Attack"/>
                        </properties>
                      </component>
                      <component id="5fd1c" class="javax.swing.JTextField" binding="atkField">
                        <constraints>
                          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                            <preferred-size width="150" height="-1"/>
                          </grid>
                        </constraints>
                        <properties/>
                      </component>
                    </children>
                  </grid>
                  <grid id="d4be3" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="2" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                    <border type="none"/>
                    <children>
                      <component id="629d0" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                            <preferred-size width="88" height="16"/>
                          </grid>
                        </constraints>
                        <properties>
                          <text value="Defense"/>
                        </properties>
                      </component>
                      <component id="d4111" class="javax.swing.JTextField" binding="defField">
                        <constraints>
                          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                            <preferred-size width="150" height="-1"/>
                          </grid>
                        </constraints>
                        <properties/>
                      </component>
                    </children>
                  </grid>
                  <grid id="80bb" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="3" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                    <border type="none"/>
                    <children>
                      <component id="1f68d" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                            <preferred-size width="88" height="16"/>
                          </grid>
                        </constraints>
                        <properties>
                          <text value="S.Attack"/>
                        </properties>
                      </component>
                      <component id="92d8" class="javax.swing.JTextField" binding="spAtkField">
                        <constraints>
                          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                            <preferred-size width="150" height="-1"/>
                          </grid>
                        </constraints>
                        <properties/>
                      </component>
                    </children>
                  </grid>
                  <grid id="5bc2f" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="4" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                    <border type="none"/>
                    <children>
                      <component id="e703" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                            <preferred-size width="88" height="16"/>
                          </grid>
                        </constraints>
                        <properties>
                          <text value="S.Defense"/>
                        </properties>
                      </component>
                      <component id="33083" class="javax.swing.JTextField" binding="spDefField">
                        <constraints>
                          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                            <preferred-size width="150" height="-1"/>
                          </grid>
                        </constraints>
                        <properties/>
                      </component>
                    </children>
                  </grid>
                  <grid id="9bd05" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="5" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                    </constraints>
                    <properties/>
                    <border type="none"/>
                    <children>
                      <component id="d2775" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="8" fill="0" indent="0" use-parent-layout="false">
                            <preferred-size width="88" height="16"/>
                          </grid>
                        </constraints>
                        <properties>
                          <text value="Speed"/>
                        </properties>
                      </component>
                      <component id="35275" class="javax.swing.JTextField" binding="speedField">
                        <constraints>
                          <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="6" anchor="8" fill="1" indent="0" use-parent-layout="false">
                            <preferred-size width="150" height="-1"/>
                          </grid>
                        </constraints>
                        <properties/>
                      </component>
                    </children>
                  </grid>
                </children>
              </grid>
            </children>
          </grid>
          <grid id="bfc8e" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties/>
            <border type="none"/>
            <children>
              <grid id="9ce1" layout-manager="GridLayoutManager" row-count="3" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                <margin top="0" left="0" bottom="0" right="0"/>
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                </constraints>
                <properties/>
                <border type="none"/>
                <children>
                  <grid id="bde0a" binding="slot0" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                        <minimum-size width="120" height="120"/>
                        <preferred-size width="60" height="60"/>
                      </grid>
                    </constraints>
                    <properties>
                      <verifyInputWhenFocusTarget value="true"/>
                    </properties>
                    <clientProperties>
                      <html.disable class="java.lang.Boolean" value="false"/>
                    </clientProperties>
                    <border type="etched">
                      <title-color color="-4473925"/>
                    </border>
                    <children>
                      <component id="d7d53" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
                        </constraints>
                        <properties>
                          <enabled value="true"/>
                          <focusable value="false"/>
                          <requestFocusEnabled value="false"/>
                          <text value=""/>
                          <verifyInputWhenFocusTarget value="false"/>
                        </properties>
                      </component>
                    </children>
                  </grid>
                  <grid id="f3cc6" binding="slot1" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                        <minimum-size width="120" height="120"/>
                        <preferred-size width="60" height="60"/>
                      </grid>
                    </constraints>
                    <properties/>
                    <border type="etched">
                      <title-color color="-4473925"/>
                    </border>
                    <children>
                      <component id="a8471" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
                        </constraints>
                        <properties>
                          <text value=""/>
                          <verifyInputWhenFocusTarget value="false"/>
                        </properties>
                      </component>
                    </children>
                  </grid>
                  <grid id="975eb" binding="slot2" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="2" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                        <minimum-size width="120" height="120"/>
                        <preferred-size width="60" height="60"/>
                      </grid>
                    </constraints>
                    <properties/>
                    <border type="etched">
                      <title-color color="-4473925"/>
                    </border>
                    <children>
                      <component id="673ab" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
                        </constraints>
                        <properties>
                          <text value=""/>
                          <verifyInputWhenFocusTarget value="false"/>
                        </properties>
                      </component>
                    </children>
                  </grid>
                </children>
              </grid>
              <grid id="87b71" layout-manager="GridLayoutManager" row-count="3" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                <margin top="0" left="0" bottom="0" right="0"/>
                <constraints>
                  <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
                </constraints>
                <properties/>
                <border type="none"/>
                <children>
                  <grid id="d5373" binding="slot3" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                        <minimum-size width="120" height="120"/>
                        <preferred-size width="60" height="60"/>
                      </grid>
                    </constraints>
                    <properties/>
                    <border type="etched">
                      <title-color color="-4473925"/>
                    </border>
                    <children>
                      <component id="7ac06" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
                        </constraints>
                        <properties>
                          <text value=""/>
                          <verifyInputWhenFocusTarget value="false"/>
                        </properties>
                      </component>
                    </children>
                  </grid>
                  <grid id="a5bc2" binding="slot4" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                        <minimum-size width="120" height="120"/>
                        <preferred-size width="60" height="60"/>
                      </grid>
                    </constraints>
                    <properties/>
                    <border type="etched">
                      <title-color color="-4473925"/>
                    </border>
                    <children>
                      <component id="808dd" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
                        </constraints>
                        <properties>
                          <text value=""/>
                          <verifyInputWhenFocusTarget value="false"/>
                        </properties>
                      </component>
                    </children>
                  </grid>
                  <grid id="b3fe1" binding="slot5" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
                    <margin top="0" left="0" bottom="0" right="0"/>
                    <constraints>
                      <grid row="2" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false">
                        <minimum-size width="120" height="120"/>
                        <preferred-size width="60" height="60"/>
                      </grid>
                    </constraints>
                    <properties/>
                    <border type="etched">
                      <title-color color="-4473925"/>
                    </border>
                    <children>
                      <component id="3b4ed" class="javax.swing.JLabel">
                        <constraints>
                          <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="0" anchor="0" fill="0" indent="0" use-parent-layout="false"/>
                        </constraints>
                        <properties>
                          <text value=""/>
                          <verifyInputWhenFocusTarget value="false"/>
                        </properties>
                      </component>
                    </children>
                  </grid>
                </children>
              </grid>
            </children>
          </grid>
        </children>
      </grid>
      <grid id="23221" layout-manager="GridLayoutManager" row-count="1" column-count="1" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
        <margin top="0" left="0" bottom="0" right="0"/>
        <constraints>
          <grid row="1" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
        </constraints>
        <properties/>
        <border type="none"/>
        <children>
          <grid id="7fd57" layout-manager="GridLayoutManager" row-count="1" column-count="2" same-size-horizontally="false" same-size-vertically="false" hgap="-1" vgap="-1">
            <margin top="0" left="0" bottom="0" right="0"/>
            <constraints>
              <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="3" hsize-policy="3" anchor="0" fill="3" indent="0" use-parent-layout="false"/>
            </constraints>
            <properties/>
            <border type="none"/>
            <children>
              <component id="dba93" class="javax.swing.JButton" binding="deleteButton" default-binding="true">
                <constraints>
                  <grid row="0" column="0" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="-1" height="50"/>
                  </grid>
                </constraints>
                <properties>
                  <text value="delete"/>
                </properties>
              </component>
              <component id="56548" class="javax.swing.JButton" binding="saveButton" default-binding="true">
                <constraints>
                  <grid row="0" column="1" row-span="1" col-span="1" vsize-policy="0" hsize-policy="3" anchor="0" fill="1" indent="0" use-parent-layout="false">
                    <minimum-size width="-1" height="50"/>
                  </grid>
                </constraints>
                <properties>
                  <text value="save"/>
                </properties>
              </component>
            </children>
          </grid>
        </children>
      </grid>
    </children>
  </grid>
</form>
